Prepare a local export payload
curl --request POST \
--url https://api.youka.io/api/v1/projects/{projectId}/exports/local \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"resolution": "1080p",
"quality": "average",
"fps": 30,
"transparent": false,
"renderMode": "standard",
"stemVolumes": {},
"playbackRate": 2.05,
"toneFrequency": 1.005,
"presetId": "<string>",
"settingsOverride": {
"displayLanguages": [
"<string>"
]
}
}
'import requests
url = "https://api.youka.io/api/v1/projects/{projectId}/exports/local"
payload = {
"resolution": "1080p",
"quality": "average",
"fps": 30,
"transparent": False,
"renderMode": "standard",
"stemVolumes": {},
"playbackRate": 2.05,
"toneFrequency": 1.005,
"presetId": "<string>",
"settingsOverride": { "displayLanguages": ["<string>"] }
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
resolution: '1080p',
quality: 'average',
fps: 30,
transparent: false,
renderMode: 'standard',
stemVolumes: {},
playbackRate: 2.05,
toneFrequency: 1.005,
presetId: '<string>',
settingsOverride: {displayLanguages: ['<string>']}
})
};
fetch('https://api.youka.io/api/v1/projects/{projectId}/exports/local', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"serveUrl": "<string>",
"compositionId": "<string>",
"compositionProps": {},
"durationInSeconds": 123,
"fps": 123,
"transparent": true,
"watermarked": true,
"title": "<string>",
"artists": [
"<string>"
],
"filename": "<string>"
}Exports
Prepare a local export payload
POST
/
projects
/
{projectId}
/
exports
/
local
Prepare a local export payload
인증
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
헤더
경로 매개변수
본문
application/json
사용 가능한 옵션:
540p, 720p, 1080p, 4k 사용 가능한 옵션:
low, average, high 사용 가능한 옵션:
standard, fast Show child attributes
Show child attributes
필수 범위:
0.1 <= x <= 4필수 범위:
0.01 <= x <= 2Show child attributes
Show child attributes
응답
200 - application/json
Resolved local export payload
Minimum string length:
1Show child attributes
Show child attributes
사용 가능한 옵션:
16:9, 9:16, 4:3, 1:1 사용 가능한 옵션:
540p, 720p, 1080p, 4k 사용 가능한 옵션:
low, average, high Minimum string length:
1이 페이지가 도움이 되었나요?
⌘I
